KubeSphere 2.0.1 安装失败 :no matches for kind \"S2iBuilderTemplate\



  • 安装KubeSphere 2.0.1时报错:
    TASK [ks-devops/s2i : S2I | Deploy S2I template&&operator] *********************************************************************************************************
    Wednesday 19 June 2019 10:48:52 +0800 (0:00:02.092) 0:09:16.843 ********
    failed: [ksm1] (item=java.yaml) => {“changed”: true, “cmd”: “/usr/local/bin/kubectl apply -f /etc/kubesphere/s2i/java.yaml”, “delta”: “0:00:00.954746”, “end”: “2019-06-19 10:48:53.557794”, “item”: “java.yaml”, “msg”: “non-zero return code”, “rc”: 1, “start”: “2019-06-19 10:48:52.603048”, “stderr”: "error: unable to recognize “/etc/kubesphere/s2i/java.yaml”: no matches for kind “S2iBuilderTemplate” in version “devops.kubesphere.io/v1alpha1"”, “stderr_lines”: ["error: unable to recognize “/etc/kubesphere/s2i/java.yaml”: no matches for kind “S2iBuilderTemplate” in version “devops.kubesphere.io/v1alpha1"”], “stdout”: “”, “stdout_lines”: []}
    failed: [ksm1] (item=nodejs.yaml) => {“changed”: true, “cmd”: “/usr/local/bin/kubectl apply -f /etc/kubesphere/s2i/nodejs.yaml”, “delta”: “0:00:01.154140”, “end”: “2019-06-19 10:48:54.893544”, “item”: “nodejs.yaml”, “msg”: “non-zero return code”, “rc”: 1, “start”: “2019-06-19 10:48:53.739404”, “stderr”: "error: unable to recognize “/etc/kubesphere/s2i/nodejs.yaml”: no matches for kind “S2iBuilderTemplate” in version “devops.kubesphere.io/v1alpha1"”, “stderr_lines”: ["error: unable to recognize “/etc/kubesphere/s2i/nodejs.yaml”: no matches for kind “S2iBuilderTemplate” in version “devops.kubesphere.io/v1alpha1"”], “stdout”: “”, “stdout_lines”: []}
    操作系统版本是centos 7.6

    docker -v

    Docker version 18.06.2-ce, build 6d37f41

    kubectl version

    Client Version: version.Info{Major:“1”, Minor:“13”, GitVersion:“v1.13.5”, GitCommit:“2166946f41b36dea2c4626f90a77706f426cdea2”, GitTreeState:“clean”, BuildDate:“2019-03-25T15:19:22Z”, GoVersion:“go1.11.5”, Compiler:“gc”, Platform:“linux/amd64”}
    Server Version: version.Info{Major:“1”, Minor:“13”, GitVersion:“v1.13.5”, GitCommit:“2166946f41b36dea2c4626f90a77706f426cdea2”, GitTreeState:“clean”, BuildDate:“2019-03-25T15:19:22Z”, GoVersion:“go1.11.5”, Compiler:“gc”, Platform:“linux/amd64”}



  • 报错后接着重新执行安装,又报如下错误:
    fatal: [ksm1]: FAILED! => {“attempts”: 15, “changed”: true, “cmd”: “/usr/local/bin/kubectl -n openpitrix-system get pod | grep openpitrix-db-deployment | awk ‘{print $3}’”, “delta”: “0:00:00.151650”, “end”: “2019-06-20 11:17:47.881867”, “rc”: 0, “start”: “2019-06-20 11:17:47.730217”, “stderr”: “”, “stderr_lines”: [], “stdout”: “Pending”, “stdout_lines”: [“Pending”]}


登录后回复
 

与 青云QingCloud 社区 的连接断开,我们正在尝试重连,请耐心等待